ICarbideProjectModifier (Carbide.c++ SDK API Reference)
Keywords: com.nokia.carbide.cdt.builder.project.ICarbideProjectModifier interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Carbide.c++
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.nokia.carbide.cdt.builder.project
Interface ICarbideProjectModifier

All Superinterfaces:
  ICarbideProjectInfo

    public interface ICarbideProjectModifier

extends ICarbideProjectInfo

Interface used to make modifications to a Carbide.c++ project.

Field Summary

Fields inherited from interface com.nokia.carbide.cdt.builder.project.ICarbideProjectInfo
`ACTION_COMPILE_AND_LINK, ACTION_LINK_ONLY, ACTION_NONE, BINARY_PARSER_EXT_POINT_ID, BLD_FROM_INF_PROPS_KEY, CLEAN_LEVEL_1, CLEAN_LEVEL_2, CLEAN_LEVEL_3, INF_COMPONENTS_PROPS_KEY, PROJECT_RELATIVE_INFFILE_PROPS_KEY, REQUIRED_BINARY_PARSER_IDS, TEST_COMPONENT_LABEL`

Method Summary
`ICarbideBuildConfiguration` | `createNewConfiguration(ISymbianBuildContext context, boolean makeDefault)` Creates a new configuration and writes it to disk.
`boolean` | `deleteConfiguration(ICarbideBuildConfiguration config)` Deletes a configuration and all settings data.
`boolean` | `saveChanges()` Apply all changes made since creation.
`boolean` | `setDefaultConfiguration(ICarbideBuildConfiguration config)` Set the default Carbide.c++ build configuration for a given project.
`void` | `writeProjectSetting(java.lang.String settingName, java.lang.String settingValue)` Write a Carbide.c++ project setting name and value.

Methods inherited from interface com.nokia.carbide.cdt.builder.project.ICarbideProjectInfo
`areMakefilesManaged, concurrentBuildJobs, defaultMMPChangedAction, getAbsoluteBldInfPath, getBuildConfigurations, getCleanLevel, getDefaultBuildConfigName, getDefaultConfiguration, getInfBuildComponents, getInfBuildComponentsRawSettings, getINFWorkingDirectory, getMMPTargetFile, getNamedConfiguration, getNormalInfBuildComponents, getProject, getProjectRelativeBldInfPath, getTestInfBuildComponents, getWorkspaceRelativeBldInfPath, incrementalBuilderEnabled, isBuildingFromInf, isBuildingTestComps, isConcurrentBuildingEnabled, makeEngineToUse, promptForMMPChangedAction, shouldOverrideMakeEngine, useDebugMode, useKeepGoing`

Method Detail

### createNewConfiguration

    ICarbideBuildConfiguration createNewConfiguration(ISymbianBuildContext context,
                                                      boolean makeDefault)

  Creates a new configuration and writes it to disk. Given the input data, this should create a minimal build configuration that will have the build, error parsers, and environment written so a basic build can be performed after it's creation

  Returns:
    ICarbideBuildConfiguration, or null if the settings file does not exist.

### deleteConfiguration

    boolean deleteConfiguration(ICarbideBuildConfiguration config)

  Deletes a configuration and all settings data. If the configuration is the default the first configuration on the list becomes the default.

  Parameters:
    `config` - - A valid ICarbideBuildConfiguration object
  Returns:
    true if the configuration exists and was removed successfully

### setDefaultConfiguration

    boolean setDefaultConfiguration(ICarbideBuildConfiguration config)

  Set the default Carbide.c++ build configuration for a given project.

  Parameters:
    `config` - - A valid Carbide.c++ build configuration for a project
  Returns:
    true if the configuration exists and it set

### writeProjectSetting

    void writeProjectSetting(java.lang.String settingName,
                             java.lang.String settingValue)

  Write a Carbide.c++ project setting name and value. Items written to the .cproject file and are project-wide settings

  Parameters:
    `settingName` - - The 'key' value
    `settingValue` - - Value for the 'key'

### saveChanges

    boolean saveChanges()

  Apply all changes made since creation. Must be called for any changes made to be applied.

  Returns:
    true if the changes were saved successfully, false otherwise

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Carbide.c++
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD